| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Base64 Class Reference

`#include <Base64.hpp>`

List of all members.

## Static Public Methods

XMLByte* | encode (const XMLByte *const inputData,const unsigned int inputLength,unsigned int *outputLength)
| Encodes octets into Base64 data. More...
XMLByte* | decode (const XMLByte *const inputData,unsigned int *outputLength)
| Decodes Base64 data into octets. More...
XMLCh* | decode (const XMLCh *const inputData,unsigned int *outputLength)
| Decodes Base64 data into XMLCh. More...
int | getDataLength (const XMLCh *const inputData)
| Get data length. More...

## Member Function Documentation

XMLCh * Base64::decode ( | const XMLCh *const inputData,
| unsigned int * outputLength )`[static]`

Decodes Base64 data into XMLCh.

Parameters:

  inputData | Base64 data in XMLCh stream.
  outputLength | Length of decoded XMLCh stream

Returns:
  Decoded binary data in XMLCh stream, or NULL if input data can not be decoded.

XMLByte * Base64::decode ( | const XMLByte *const inputData,
| unsigned int * outputLength )`[static]`

Decodes Base64 data into octets.

Parameters:

  inputData | Base64 data in XMLByte stream.
  outputLength | Length of decoded XMLByte stream.

Returns:
  Decoded binary data in XMLByte stream, or NULL if input data can not be decoded.

XMLByte * Base64::encode ( | const XMLByte *const inputData,
| const unsigned int inputLength,
| unsigned int * outputLength )`[static]`

Encodes octets into Base64 data.

Parameters:

  inputData | Binary data in XMLByte stream.
  inputLength | Length of the XMLByte stream.
  outputLength | Length of the encoded Base64 byte stream.

Returns:
  Encoded Base64 data in XMLByte stream, or NULL if input data can not be encoded.

int Base64::getDataLength ( | const XMLCh *const inputData )`[static]`

Get data length.

Returns length of decoded data given an array containing encoded data.

Parameters:

  inputData | Base64 data in XMLCh stream.

Returns:
  Length of decoded data, or -1 if input data can not be decoded.

The documentation for this class was generated from the following file:

- Base64.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.